This accessory is not made to work with iPhone

My iPod Touch and iPhone used to be on 2.0 firmware and it works great with my third party video out cable which I got for 10 bucks online. The video cable ceased to work after I upgraded to 3.0 and subsequently 3.1.2 as it keeps prompting “This accessory is not made to work with iPhone” whenever I try to play a video file.

Good news if your iPod Touch or iPhone is jailbroken – a patched iapd file solves the problem. Backup-ed the original iapd file in /System/Library/PrivateFrameworks/IAP.framework/Support. Put in the patched iapd, set its permission to 755 and reboot. Viola! Cheap 3rd party cable is working again!

 

Treat shadowandy!

If these step-by-step guides have been very helpful to you and saved you a lot of time, please consider treating shadowandy to a cup of Starbucks.